netperfmeter-module-loader(1)

NAME
netperfmeter-module-loader - Network Performance Meter Kernel Module Loader

SYNOPSIS
netperfmeter-module-loader start | stop | status

DESCRIPTION
netperfmeter-module-loader loads the network protocol and congestion control kernel modules for NetPerfMeter, to support the TCP, MPTCP, UDP, DCCP and SCTP transport protocols (if available) and corresponding congestion controls (if available).

ARGUMENTS
The following arguments can to be provided:

start
    Load all available modules.

start
    Try to unload all available modules. Note that some modules may still be in use, i.e. they will remain loaded.

status
    Prints the loaded modules and allowed TCP congestion controls.

EXIT STATUS
The netperfmeter-module-loader tool exits with 0 on success, and >0 in case of an error.

EXAMPLES
Some netperfmeter-module-loader usage examples:

sudo netperfmeter-module-loader start

sudo netperfmeter-module-loader stop

netperfmeter-module-loader status

SEE ALSO
netperfmeter(1)

NOTES
This program is part of NetPerfMeter. The latest version of NetPerfMeter can be found on the NetPerfMeter Homepage at NetPerfMeter Homepage: https://www.nntb.no/~dreibh/netperfmeter/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh